%define prefix /usr
%define name	xcfa
%define version 4.3.8
%define release %mkrel 1
%define url	http://linux.softpedia.com/get/Multimedia/Audio/XCFA-55818.shtml

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sound
URL:		%{url}
Source:		%{name}-%{version}.tar.xz
Source1:	xcfa.desktop
Summary:	X Convert File Audio
Summary(de):	X Audiodateien Konvertierer
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	%{_lib}taglib-devel
BuildRequires:	%{_lib}curl4-devel 
BuildRequires:	%{_lib}vte-devel
Requires:	cdrkit-icedax
Requires:	cdparanoia
Requires:	lame
Requires:	normalize
Requires:	sox
Requires:	vorbis-tools
Requires:	perl-HTML-TextToHTML
Requires:       checkmp3
Requires:	cd-discid
Obsoletes:	%name < %version

%description
XCFA is oofers an extraction tool for Audio-CD and musical file conversion
to flac, wav, mp3, ogg, m4a, mpc, ape, wavpack formats. Decompression of wma
and shorten formats to flac, wav, mp3, ogg, m4a, mpc, ape, and wavpack.

#german
%description -l de
XCFA ist ein offenes Extraktionswerkzeug für Audio-CD und Audio Dateikonvertierung
FLAC, WAV, MP3, OGG, M4A, MPC, APE und Wavpack Formate. Dekompression von WMA und
den Formate FLAC, WAV, MP3, OGG, M4A, MPC, APE, und Wavpack.

%prep

%setup -q -n %{name}-%{version}

%build
%configure2_5x
%make

cd src
  strip --remove-section=.comment --remove-section=.note ./xcfa

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std 
# menu
install -m 0644 %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

#fix
mkdir -p $RPM_BUILD_ROOT%{_datadir}/mime/packages
mv $RPM_BUILD_ROOT/usr/lib/mime/packages/xcfa $RPM_BUILD_ROOT%{_datadir}/mime/packages

#icon
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 0644 desktop/xcfa.png  $RPM_BUILD_ROOT%{_datadir}/pixmaps/xcfa.png

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/locale
%{_datadir}/man
%{_datadir}/pixmaps
%{_datadir}/%{name}/glade/%{name}.glade
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/xcfa
%{_datadir}/pixmaps/xcfa.png

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Mon Jan 04 2016 bb <bb> 4.3.8-1pclos2016
- update

* Fri Nov 16 2012 daniel <meisssw01 at gmail.com> 4.3.1-2leiche2012
- fix icon display in menu
 
* Sun Oct 28 2012 daniel <meisssw01 at gmail.com> 4.3.1-1leiche2012
- upstream tarball
